﻿using System.Collections.Generic;
using GpsNose.SDK.Mashup.Framework;
using GpsNose.SDK.Mashup.Model;

namespace GpsNose.SDK.Mashup.Api.Modules
{
    public class GnNewsApi : GnApiModuleBase
    {
        internal GnNewsApi(GnLoginApiBase loginApi) : base(loginApi)
        {
        }


        public List<GnNews> GetNewsPage(string subCommunity = null, int? pageSize = 50, long lastKnownTicks = GnSettings.FAR_FUTURE_TICKS)
        {
            var result = ExecuteCall<List<GnNews>>("GetNewsPage", new
            {
                community = subCommunity,
                pageSize = pageSize,
                lastKnownTicks = lastKnownTicks
            });

            return result;
        }

    }
}
