﻿using GpsNose.SDK.Framework.Json;
using System.IO;
using System.Web.Mvc;

namespace $rootnamespace$
{
    public static class GnWebUtility
    {
        public static string GetJson(object data)
        {
            var ser = new JsonTool
            {
                IsLongAsString = true,
                IsDateTimeCustomized = false,
            };

            string json = ser.SerializeToString(data);

            return json;
        }


        public static string GnCacheSafePath<TModel>(this HtmlHelper<TModel> htmlHelper, string path)
        {
            try
            {
                string realPath = htmlHelper.ViewContext.HttpContext.Server.MapPath(path);

                long stamp = new FileInfo(realPath).LastWriteTimeUtc.Ticks & 0xFFFF;

                string newPath = $"{path}?x={stamp}";

                return newPath;
            }
            catch
            {
                return path;
            }
        }
    }
}
