﻿namespace GpsNose.SDK.Framework.Logging
{
    /// <summary>
    /// Logging-writing to be implemented as needed.
    /// </summary>
    /// <remarks>
    /// The implementor must provide any flush/serialization logic himself.
    /// </remarks>
    public interface GnILogListener
    {
        void WriteToLog(GnLogLevel level, string message);
    }
}
