﻿using System.Collections.Generic;

namespace GpsNose.SDK.Framework.Logging
{
    public static class GnLogConfig
    {
        internal static List<GnILogListener> Listeners { get; } = new List<GnILogListener>();

        public static void AddListener(GnILogListener listener)
        {
            if (!Listeners.Contains(listener))
                Listeners.Add(listener);
        }

        public static void RemoveListener(GnILogListener listener)
        {
            Listeners.Remove(listener);
        }
    }
}
