﻿using System.Collections.Generic;

namespace GpsNose.SDK.Mashup.Model
{
    public class GnCommunity
    {
        public long CreationUtcTicks { get; set; }
        public string CreatorLoginName { get; set; }
        public int MembersCount { get; set; }
        public string Description { get; set; }
        public int AclsInt { get; set; }
        public List<string> Admins { get; set; }

        public GnCommunityAcl Acls => (GnCommunityAcl)AclsInt;
        public bool CanListMembers => Acls.HasFlag(GnCommunityAcl.ListMembers);
        public bool CanMemberInviteMember => Acls.HasFlag(GnCommunityAcl.MembersInviteMembers);
        public bool CanMemberComment => Acls.HasFlag(GnCommunityAcl.CommentsFromMembers);
    }
}
