﻿namespace GpsNose.SDK.Mashup.Model
{
    public class GnNews
    {
        public int NewsType { get; set; }
        public long CreationTicks { get; set; }
        public string Title { get; set; }
        public string Description { get; set; }
        public string Creator { get; set; } //not set in user-scoped-news
        public string Keywords { get; set; }
        public bool? IsNowDeleted { get; set; }
        public string TargetCommunity { get; set; } //not set in user-scoped-news
        
        // about
        public string About_NewAbout { get; set; }

        // profile-image
        public bool? ProfileImage_WasDataUploaded { get; set; }

        // published-poi
        public float? PoiPublished_Latitude { get; set; }
        public float? PoiPublished_Longitude { get; set; }
        public string PoiPublished_Name { get; set; }
        public long? PoiPublished_CreationTicks { get; set; }

        // rating
        public string Rating_Comment { get; set; }
        public int? Rating_Percent { get; set; }
        public string Rating_RatedItemId { get; set; }
        public string Rating_RatedItemName { get; set; }
        public string Rating_RatedItemType { get; set; }
        public float? Rating_RatedItemLatitude { get; set; }
        public float? Rating_RatedItemLongitude { get; set; }

        // impressions
        public long? Impression_CreationTicks { get; set; }
        public string Impression_Mood { get; set; }
        public string Impression_Text { get; set; }
        public bool? Impression_IsNavigable { get; set; }

        // comments
        public string Comment_Mood { get; set; }
        public string Comment_Text { get; set; }
        public string Comment_CommentItemId { get; set; }
        public string Comment_CommentItemName { get; set; }
        public string Comment_CommentItemType { get; set; }
        public float? Comment_CommentItemLatitude { get; set; }
        public float? Comment_CommentItemLongitude { get; set; }

        // track
        public long? Track_CreationTicks { get; set; }
        public string Track_Name { get; set; }
        public string Track_Description { get; set; }
        public float? Track_StartLatitude { get; set; }
        public float? Track_StartLongitude { get; set; }
        public float? Track_StartAltitude { get; set; }
        public int? Track_TrackType { get; set; }

        // events
        public long? Event_CreationTicks { get; set; }
        public string Event_Name { get; set; }
        public string Event_Description { get; set; }
        public string Event_LocationAddress { get; set; }
        public float? Event_Latitude { get; set; }
        public float? Event_Longitude { get; set; }

        // mashup
        public string Mashup_CommunityTag { get; set; }
    }
}
